use crate::discord::api::DiscordAPI;
use std::env::var;

mod discord;

#[tokio::main]
async fn main() {
    env_logger::init();

    let discord_token =
        var("DISCORD_TOKEN").expect("Require DISCORD_TOKEN environment variable to be set");

    let client = DiscordAPI::create(&discord_token).expect("Can't make DiscordAPI instance");

    let (mut s, r) = client.connect_websocket_bot().await.unwrap();

    tokio::task::spawn(async move { s.start().await });

    r.0.recv();
}
